summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorchristian Sillaber2016-02-28 19:56:05 +0100
committerchristian Sillaber2016-02-28 19:56:05 +0100
commitbd20e70662b8af24da6ba6d1b05281c644ccd7da (patch)
treeb44572875d688e8847d8970495b04762c71d07db
parente937dc847bbe8134f6c00103268ed4007a9ef6e8 (diff)
downloadaur-bd20e70662b8af24da6ba6d1b05281c644ccd7da.tar.gz
added install script
-rw-r--r--.SRCINFO5
-rw-r--r--PKGBUILD5
-rw-r--r--mu-git.install20
3 files changed, 26 insertions, 4 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 9b174ca3440..426fda50566 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,8 +1,9 @@
pkgbase = mu-git
pkgdesc = mu and mu4e from git
- pkgver = v0.9.16
- pkgrel = 3
+ pkgver = v0.9.16.59.geab45dc
+ pkgrel = 2
url = http://www.djcbsoftware.nl/code/mu
+ install = mu-git.install
arch = i686
arch = x86_64
license = GPL
diff --git a/PKGBUILD b/PKGBUILD
index ab1b4c08e6c..e90e6a9f11e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,8 +2,9 @@
# Thanks to the maintainers and contributors of the mu binary package
pkgname=mu-git
-pkgver=0.9.16
-pkgrel=3
+pkgver=v0.9.16.59.geab45dc
+pkgrel=2
+install=mu-git.install
pkgdesc="mu and mu4e from git"
arch=('i686' 'x86_64')
url="http://www.djcbsoftware.nl/code/mu"
diff --git a/mu-git.install b/mu-git.install
new file mode 100644
index 00000000000..d3ea9ee6653
--- /dev/null
+++ b/mu-git.install
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(mu-guile.info mu4e)
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ for file in "${filelist[@]}"; do
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+ done
+} \ No newline at end of file